=== modified file 'NEWS'
--- NEWS	2006-10-04 18:40:24 +0000
+++ NEWS	2006-10-10 07:36:21 +0000
@@ -29,7 +29,9 @@
     * Leave HttpTransportBase daughter classes decides how they
       implement cloning. (Vincent Ladeuil, #61606)
 
-   * diff3 does not indicate conflicts on clean merge. (Aaron Bentley)
+    * diff3 does not indicate conflicts on clean merge. (Aaron Bentley)
+
+    * ``bzr ignore`` takes multiple arguments. (Cheuksan Edward Wang #29488)
 
   TESTING:
 

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2006-09-29 20:24:37 +0000
+++ bzrlib/builtins.py	2006-10-10 07:36:21 +0000
@@ -1526,7 +1526,7 @@
 
 
 class cmd_ignore(Command):
-    """Ignore a command or pattern.
+    """Ignore specified files or patterns.
 
     To remove patterns from the ignore list, edit the .bzrignore file.
 
@@ -1544,20 +1544,20 @@
         bzr ignore '*.class'
     """
     # TODO: Complain if the filename is absolute
-    takes_args = ['name_pattern?']
+    takes_args = ['name_pattern*']
     takes_options = [
                      Option('old-default-rules',
                             help='Out the ignore rules bzr < 0.9 always used.')
                      ]
     
-    def run(self, name_pattern=None, old_default_rules=None):
+    def run(self, name_pattern_list=[], old_default_rules=None):
         from bzrlib.atomicfile import AtomicFile
         if old_default_rules is not None:
             # dump the rules and exit
             for pattern in ignores.OLD_DEFAULTS:
                 print pattern
             return
-        if name_pattern is None:
+        if name_pattern_list == []:
             raise BzrCommandError("ignore requires a NAME_PATTERN")
         tree, relpath = WorkingTree.open_containing(u'.')
         ifn = tree.abspath('.bzrignore')
@@ -1575,7 +1575,8 @@
 
         if igns and igns[-1] != '\n':
             igns += '\n'
-        igns += name_pattern + '\n'
+	for name_pattern in name_pattern_list:
+	    igns += name_pattern + '\n'
 
         f = AtomicFile(ifn, 'wt')
         try:

=== modified file 'bzrlib/tests/blackbox/test_ignore.py'
--- bzrlib/tests/blackbox/test_ignore.py	2006-09-07 21:37:43 +0000
+++ bzrlib/tests/blackbox/test_ignore.py	2006-10-10 07:36:21 +0000
@@ -74,6 +74,11 @@
         self.assertEquals(self.capture('unknowns'), '')
         self.assertEquals(file('.bzrignore', 'rU').read(), '*.blah\ngarh\n')
         
+        # 'ignore' works with multiple arguments
+        self.runbzr('ignore a b c')
+        self.assertEquals(self.capture('unknowns'), '')
+        self.assertEquals(file('.bzrignore', 'rU').read(), '*.blah\ngarh\na\nb\nc\n')
+        
     def test_ignore_old_defaults(self):
         out, err = self.run_bzr('ignore', '--old-default-rules')
         self.assertContainsRe(out, 'CVS')

